﻿using Presenter;

namespace View.Collections {
	public class RoseGrowCollection : IRoseGrow {
		private readonly IRoseGrow[] _grows;

		public RoseGrowCollection(IRoseGrow[] grows) {
			_grows = grows;
		}

		public void Grow() {
			foreach (IRoseGrow grow in _grows)
				grow.Grow();
		}

		public void GrowStep() {
			foreach (IRoseGrow grow in _grows)
				grow.GrowStep();
		}
	}
}